Subject: Re: git bug/feature request

From: Jakub Narebski <[email-masked]>
Date: Tue, 27 Nov 2007 16:13:03 +0100

Peter Karlsson wrote:

> gapon:
> 
>> i have discovered "weird" behaviour of git in this scenario*:
> 
> Yeah, I have run into it several times myself, and that is being both
> user A and B at the same time. The problem seems to be that git allows
> you to push into a repository which has a check-out, causing it to
> change states in a subtle way. That's just plain broken.
> 
> Git should either handle it somehow (perhaps by forcing the push into a
> new branch, which the pushee needs name), or just plainly refuse to
> push into a repository with a check-out.

I thought that modern git refuses to push into checked out branch
(in HEAD) in non-bare repositories. In shared repositories default
is to deny non-fastforwards, by the way.

> I have learned to work around this problem by always pulling between my
> repositories, not pushing.

You can simply push to remotes, allowing other person to merge
on other side.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git